Index: c/src/exec/libcsupport/src/utsname.c
===================================================================
--- c/src/exec/libcsupport/src/utsname.c	(revision 05195890d71bfab2b1b63592fc1ca7bf53f3da59)
+++ c/src/exec/libcsupport/src/utsname.c	(revision f4719d5aaf62852e0ff60d22c5261da05925bacf)
@@ -9,4 +9,5 @@
 #include <sys/utsname.h>
 
+#include <rtems/system.h>
 #include <rtems/score/system.h>
 #include <rtems/score/object.h>
Index: c/src/exec/posix/src/aio.c
===================================================================
--- c/src/exec/posix/src/aio.c	(revision 05195890d71bfab2b1b63592fc1ca7bf53f3da59)
+++ c/src/exec/posix/src/aio.c	(revision f4719d5aaf62852e0ff60d22c5261da05925bacf)
@@ -5,4 +5,6 @@
 
 #include <aio.h>
+
+#include <rtems/system.h>
 
 #ifdef NOT_IMPLEMENTED_YET
Index: c/src/exec/posix/src/cancel.c
===================================================================
--- c/src/exec/posix/src/cancel.c	(revision 05195890d71bfab2b1b63592fc1ca7bf53f3da59)
+++ c/src/exec/posix/src/cancel.c	(revision f4719d5aaf62852e0ff60d22c5261da05925bacf)
@@ -6,4 +6,6 @@
 #include <pthread.h>
 #include <errno.h>
+
+#include <rtems/system.h>
 #include <rtems/score/chain.h>
 #include <rtems/score/isr.h>
Index: c/src/exec/posix/src/cond.c
===================================================================
--- c/src/exec/posix/src/cond.c	(revision 05195890d71bfab2b1b63592fc1ca7bf53f3da59)
+++ c/src/exec/posix/src/cond.c	(revision f4719d5aaf62852e0ff60d22c5261da05925bacf)
@@ -7,4 +7,5 @@
 #include <errno.h>
 
+#include <rtems/system.h>
 #include <rtems/score/object.h>
 #include <rtems/score/states.h>
Index: c/src/exec/posix/src/devctl.c
===================================================================
--- c/src/exec/posix/src/devctl.c	(revision 05195890d71bfab2b1b63592fc1ca7bf53f3da59)
+++ c/src/exec/posix/src/devctl.c	(revision f4719d5aaf62852e0ff60d22c5261da05925bacf)
@@ -5,4 +5,6 @@
 
 #include <devctl.h>
+
+#include <rtems/system.h>
 
 #ifdef NOT_IMPLEMENTED_YET
Index: c/src/exec/posix/src/intr.c
===================================================================
--- c/src/exec/posix/src/intr.c	(revision 05195890d71bfab2b1b63592fc1ca7bf53f3da59)
+++ c/src/exec/posix/src/intr.c	(revision f4719d5aaf62852e0ff60d22c5261da05925bacf)
@@ -10,6 +10,7 @@
 #include <errno.h>
 #include <intr.h>
-
 #include <pthread.h>
+
+#include <rtems/system.h>
 #include <rtems/score/isr.h>
 #include <rtems/score/coresem.h>
Index: c/src/exec/posix/src/key.c
===================================================================
--- c/src/exec/posix/src/key.c	(revision 05195890d71bfab2b1b63592fc1ca7bf53f3da59)
+++ c/src/exec/posix/src/key.c	(revision f4719d5aaf62852e0ff60d22c5261da05925bacf)
@@ -9,4 +9,5 @@
 #include <string.h>
 
+#include <rtems/system.h>
 #include <rtems/score/thread.h>
 #include <rtems/score/wkspace.h>
Index: c/src/exec/posix/src/mqueue.c
===================================================================
--- c/src/exec/posix/src/mqueue.c	(revision 05195890d71bfab2b1b63592fc1ca7bf53f3da59)
+++ c/src/exec/posix/src/mqueue.c	(revision f4719d5aaf62852e0ff60d22c5261da05925bacf)
@@ -22,6 +22,6 @@
 #include <errno.h>
 #include <fcntl.h>
-
 #include <mqueue.h>
+
 #include <rtems/system.h>
 #include <rtems/score/watchdog.h>
Index: c/src/exec/posix/src/mutex.c
===================================================================
--- c/src/exec/posix/src/mutex.c	(revision 05195890d71bfab2b1b63592fc1ca7bf53f3da59)
+++ c/src/exec/posix/src/mutex.c	(revision f4719d5aaf62852e0ff60d22c5261da05925bacf)
@@ -7,9 +7,8 @@
 #include <pthread.h>
 
-#include <rtems/score/system.h>
+#include <rtems/system.h>
 #include <rtems/score/coremutex.h>
 #include <rtems/score/watchdog.h>
 #include <rtems/score/mpci.h>
-
 #include <rtems/posix/mutex.h>
 #include <rtems/posix/priority.h>
Index: c/src/exec/posix/src/psignal.c
===================================================================
--- c/src/exec/posix/src/psignal.c	(revision 05195890d71bfab2b1b63592fc1ca7bf53f3da59)
+++ c/src/exec/posix/src/psignal.c	(revision f4719d5aaf62852e0ff60d22c5261da05925bacf)
@@ -6,4 +6,5 @@
 #include <signal.h>
 
+#include <rtems/system.h>
 #include <rtems/score/thread.h>
 
@@ -17,5 +18,5 @@
 
 int kill(
-  int   pid_t,
+  pid_t pid,
   int   sig
 )
Index: c/src/exec/posix/src/pthread.c
===================================================================
--- c/src/exec/posix/src/pthread.c	(revision 05195890d71bfab2b1b63592fc1ca7bf53f3da59)
+++ c/src/exec/posix/src/pthread.c	(revision f4719d5aaf62852e0ff60d22c5261da05925bacf)
@@ -8,4 +8,5 @@
 #include <limits.h>
 
+#include <rtems/system.h>
 #include <rtems/score/stack.h>
 #include <rtems/score/thread.h>
@@ -189,11 +190,11 @@
 int pthread_attr_setschedparam(
   pthread_attr_t            *attr,
-  const struct sched_param   param
-)
-{
-  if ( !attr || !attr->is_initialized )
-    return EINVAL;
-
-  attr->schedparam = param;
+  const struct sched_param  *param
+)
+{
+  if ( !attr || !attr->is_initialized )
+    return EINVAL;
+
+  attr->schedparam = *param;
   return 0;
 }
Index: c/src/exec/posix/src/sched.c
===================================================================
--- c/src/exec/posix/src/sched.c	(revision 05195890d71bfab2b1b63592fc1ca7bf53f3da59)
+++ c/src/exec/posix/src/sched.c	(revision f4719d5aaf62852e0ff60d22c5261da05925bacf)
@@ -5,4 +5,6 @@
 
 #include <sched.h>
+
+#include <rtems/system.h>
 #include <rtems/score/tod.h>
 #include <rtems/score/thread.h>
Index: c/src/exec/posix/src/time.c
===================================================================
--- c/src/exec/posix/src/time.c	(revision 05195890d71bfab2b1b63592fc1ca7bf53f3da59)
+++ c/src/exec/posix/src/time.c	(revision f4719d5aaf62852e0ff60d22c5261da05925bacf)
@@ -5,4 +5,6 @@
 
 #include <time.h>
+
+#include <rtems/system.h>
 #include <rtems/score/tod.h>
 
Index: c/src/exec/posix/src/types.c
===================================================================
--- c/src/exec/posix/src/types.c	(revision 05195890d71bfab2b1b63592fc1ca7bf53f3da59)
+++ c/src/exec/posix/src/types.c	(revision f4719d5aaf62852e0ff60d22c5261da05925bacf)
@@ -5,4 +5,6 @@
 
 #include <sys/types.h>
+
+#include <rtems/system.h>
 
 #ifdef NOT_IMPLEMENTED_YET
Index: c/src/exec/posix/src/unistd.c
===================================================================
--- c/src/exec/posix/src/unistd.c	(revision 05195890d71bfab2b1b63592fc1ca7bf53f3da59)
+++ c/src/exec/posix/src/unistd.c	(revision f4719d5aaf62852e0ff60d22c5261da05925bacf)
@@ -5,4 +5,6 @@
 
 #include <unistd.h>
+
+#include <rtems/system.h>
 
 #ifdef NOT_IMPLEMENTED_YET
Index: c/src/exec/posix/src/utsname.c
===================================================================
--- c/src/exec/posix/src/utsname.c	(revision 05195890d71bfab2b1b63592fc1ca7bf53f3da59)
+++ c/src/exec/posix/src/utsname.c	(revision f4719d5aaf62852e0ff60d22c5261da05925bacf)
@@ -9,4 +9,5 @@
 #include <sys/utsname.h>
 
+#include <rtems/system.h>
 #include <rtems/score/system.h>
 #include <rtems/score/object.h>
Index: c/src/lib/libc/utsname.c
===================================================================
--- c/src/lib/libc/utsname.c	(revision 05195890d71bfab2b1b63592fc1ca7bf53f3da59)
+++ c/src/lib/libc/utsname.c	(revision f4719d5aaf62852e0ff60d22c5261da05925bacf)
@@ -9,4 +9,5 @@
 #include <sys/utsname.h>
 
+#include <rtems/system.h>
 #include <rtems/score/system.h>
 #include <rtems/score/object.h>
Index: cpukit/libcsupport/src/utsname.c
===================================================================
--- cpukit/libcsupport/src/utsname.c	(revision 05195890d71bfab2b1b63592fc1ca7bf53f3da59)
+++ cpukit/libcsupport/src/utsname.c	(revision f4719d5aaf62852e0ff60d22c5261da05925bacf)
@@ -9,4 +9,5 @@
 #include <sys/utsname.h>
 
+#include <rtems/system.h>
 #include <rtems/score/system.h>
 #include <rtems/score/object.h>
Index: cpukit/posix/src/aio.c
===================================================================
--- cpukit/posix/src/aio.c	(revision 05195890d71bfab2b1b63592fc1ca7bf53f3da59)
+++ cpukit/posix/src/aio.c	(revision f4719d5aaf62852e0ff60d22c5261da05925bacf)
@@ -5,4 +5,6 @@
 
 #include <aio.h>
+
+#include <rtems/system.h>
 
 #ifdef NOT_IMPLEMENTED_YET
Index: cpukit/posix/src/cancel.c
===================================================================
--- cpukit/posix/src/cancel.c	(revision 05195890d71bfab2b1b63592fc1ca7bf53f3da59)
+++ cpukit/posix/src/cancel.c	(revision f4719d5aaf62852e0ff60d22c5261da05925bacf)
@@ -6,4 +6,6 @@
 #include <pthread.h>
 #include <errno.h>
+
+#include <rtems/system.h>
 #include <rtems/score/chain.h>
 #include <rtems/score/isr.h>
Index: cpukit/posix/src/cond.c
===================================================================
--- cpukit/posix/src/cond.c	(revision 05195890d71bfab2b1b63592fc1ca7bf53f3da59)
+++ cpukit/posix/src/cond.c	(revision f4719d5aaf62852e0ff60d22c5261da05925bacf)
@@ -7,4 +7,5 @@
 #include <errno.h>
 
+#include <rtems/system.h>
 #include <rtems/score/object.h>
 #include <rtems/score/states.h>
Index: cpukit/posix/src/devctl.c
===================================================================
--- cpukit/posix/src/devctl.c	(revision 05195890d71bfab2b1b63592fc1ca7bf53f3da59)
+++ cpukit/posix/src/devctl.c	(revision f4719d5aaf62852e0ff60d22c5261da05925bacf)
@@ -5,4 +5,6 @@
 
 #include <devctl.h>
+
+#include <rtems/system.h>
 
 #ifdef NOT_IMPLEMENTED_YET
Index: cpukit/posix/src/intr.c
===================================================================
--- cpukit/posix/src/intr.c	(revision 05195890d71bfab2b1b63592fc1ca7bf53f3da59)
+++ cpukit/posix/src/intr.c	(revision f4719d5aaf62852e0ff60d22c5261da05925bacf)
@@ -10,6 +10,7 @@
 #include <errno.h>
 #include <intr.h>
-
 #include <pthread.h>
+
+#include <rtems/system.h>
 #include <rtems/score/isr.h>
 #include <rtems/score/coresem.h>
Index: cpukit/posix/src/key.c
===================================================================
--- cpukit/posix/src/key.c	(revision 05195890d71bfab2b1b63592fc1ca7bf53f3da59)
+++ cpukit/posix/src/key.c	(revision f4719d5aaf62852e0ff60d22c5261da05925bacf)
@@ -9,4 +9,5 @@
 #include <string.h>
 
+#include <rtems/system.h>
 #include <rtems/score/thread.h>
 #include <rtems/score/wkspace.h>
Index: cpukit/posix/src/mqueue.c
===================================================================
--- cpukit/posix/src/mqueue.c	(revision 05195890d71bfab2b1b63592fc1ca7bf53f3da59)
+++ cpukit/posix/src/mqueue.c	(revision f4719d5aaf62852e0ff60d22c5261da05925bacf)
@@ -22,6 +22,6 @@
 #include <errno.h>
 #include <fcntl.h>
-
 #include <mqueue.h>
+
 #include <rtems/system.h>
 #include <rtems/score/watchdog.h>
Index: cpukit/posix/src/mutex.c
===================================================================
--- cpukit/posix/src/mutex.c	(revision 05195890d71bfab2b1b63592fc1ca7bf53f3da59)
+++ cpukit/posix/src/mutex.c	(revision f4719d5aaf62852e0ff60d22c5261da05925bacf)
@@ -7,9 +7,8 @@
 #include <pthread.h>
 
-#include <rtems/score/system.h>
+#include <rtems/system.h>
 #include <rtems/score/coremutex.h>
 #include <rtems/score/watchdog.h>
 #include <rtems/score/mpci.h>
-
 #include <rtems/posix/mutex.h>
 #include <rtems/posix/priority.h>
Index: cpukit/posix/src/psignal.c
===================================================================
--- cpukit/posix/src/psignal.c	(revision 05195890d71bfab2b1b63592fc1ca7bf53f3da59)
+++ cpukit/posix/src/psignal.c	(revision f4719d5aaf62852e0ff60d22c5261da05925bacf)
@@ -6,4 +6,5 @@
 #include <signal.h>
 
+#include <rtems/system.h>
 #include <rtems/score/thread.h>
 
@@ -17,5 +18,5 @@
 
 int kill(
-  int   pid_t,
+  pid_t pid,
   int   sig
 )
Index: cpukit/posix/src/pthread.c
===================================================================
--- cpukit/posix/src/pthread.c	(revision 05195890d71bfab2b1b63592fc1ca7bf53f3da59)
+++ cpukit/posix/src/pthread.c	(revision f4719d5aaf62852e0ff60d22c5261da05925bacf)
@@ -8,4 +8,5 @@
 #include <limits.h>
 
+#include <rtems/system.h>
 #include <rtems/score/stack.h>
 #include <rtems/score/thread.h>
@@ -189,11 +190,11 @@
 int pthread_attr_setschedparam(
   pthread_attr_t            *attr,
-  const struct sched_param   param
-)
-{
-  if ( !attr || !attr->is_initialized )
-    return EINVAL;
-
-  attr->schedparam = param;
+  const struct sched_param  *param
+)
+{
+  if ( !attr || !attr->is_initialized )
+    return EINVAL;
+
+  attr->schedparam = *param;
   return 0;
 }
Index: cpukit/posix/src/sched.c
===================================================================
--- cpukit/posix/src/sched.c	(revision 05195890d71bfab2b1b63592fc1ca7bf53f3da59)
+++ cpukit/posix/src/sched.c	(revision f4719d5aaf62852e0ff60d22c5261da05925bacf)
@@ -5,4 +5,6 @@
 
 #include <sched.h>
+
+#include <rtems/system.h>
 #include <rtems/score/tod.h>
 #include <rtems/score/thread.h>
Index: cpukit/posix/src/time.c
===================================================================
--- cpukit/posix/src/time.c	(revision 05195890d71bfab2b1b63592fc1ca7bf53f3da59)
+++ cpukit/posix/src/time.c	(revision f4719d5aaf62852e0ff60d22c5261da05925bacf)
@@ -5,4 +5,6 @@
 
 #include <time.h>
+
+#include <rtems/system.h>
 #include <rtems/score/tod.h>
 
Index: cpukit/posix/src/types.c
===================================================================
--- cpukit/posix/src/types.c	(revision 05195890d71bfab2b1b63592fc1ca7bf53f3da59)
+++ cpukit/posix/src/types.c	(revision f4719d5aaf62852e0ff60d22c5261da05925bacf)
@@ -5,4 +5,6 @@
 
 #include <sys/types.h>
+
+#include <rtems/system.h>
 
 #ifdef NOT_IMPLEMENTED_YET
